package com.base.datarecovery.utils;

import java.util.ArrayList;
import java.util.List;

public class BatteryInfoStringManager {


    private static final List<String> appManagerCopies = new ArrayList<>();
    private static int currentCopyIndex = 0;

    static {
        // 初始化并添加文案到列表
        appManagerCopies.add("Monitor your battery health with our Battery Info feature.");
        appManagerCopies.add("Experience the Battery Info feature now.");
        appManagerCopies.add("Try our Battery Info feature for smart management.");
    }

    public static String getNextDesc() {
        if (appManagerCopies.isEmpty()) {
            return null; // 根据您的需要处理错误情况
        }
        String copy = appManagerCopies.get(currentCopyIndex);
        currentCopyIndex = (currentCopyIndex + 1) % appManagerCopies.size();
        return copy;
    }
}
